{% extends "base.html" %}

{% block content %}
<div class="content-section col-md-7 mt-5">
   <form method="POST" action="/submit/{{post_id}}/answers">
       {{ ans_form.hidden_tag() }}
       <fieldset class="form-group">
            <input type="hidden" name="question" value="{{question_details}}">
           <legend class="border-bottom mb-4">{{question_details}}</legend>   <!--form heading-->
           <div class="form-group">
               {{ ans_form.answer.label(class="form-control-label") }}
               {% if ans_form.answer.errors %}
                   {{ ans_form.answer(class="form-control form-control-lg is-invalid") }}
                   <div class="invalid-feedback">
                       {% for error in form.answer.errors %}
                           <span>{{ error }}</span>
                       {% endfor %}
                   </div>
               {% else %}
                   {{ ans_form.answer(class="form-control form-control-lg") }}
               {% endif %}
           </div>
       </fieldset>
       <div class="form-group">
           {{ ans_form.submit(class="btn btn-outline-info") }}
       </div>
   </form>
</div>
{% endblock content %}